Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1519830 - Missing dependency for /etc/mime.types
Summary: Missing dependency for /etc/mime.types
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: icecast
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-01 14:19 UTC by Christian Affolter
Modified: 2018-02-13 08:40 UTC (History)
3 users (show)

Fixed In Version: icecast-2.4.3-1.fc26 icecast-2.4.3-1.fc27 icecast-2.4.3-1.el7 icecast-2.4.3-1.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-05 14:38:55 UTC


Attachments (Terms of Use)

Description Christian Affolter 2017-12-01 14:19:47 UTC
Description of problem:
The Icecast server complains that it cannot open the mime type file:

systemd[1]: Starting Icecast Network Audio Streaming Server...
icecast[1175]: [2017-11-28  14:50:49] WARN fserve/fserve_recheck_mime_types Cannot open mime types file /etc/mime.types

This leads to broken images (at least background SVGs referenced from a CSS seems to be affected) on the Icecast web interface.

Version-Release number of selected component (if applicable):
Name        : icecast
Arch        : x86_64
Version     : 2.4.2
Release     : 1.el7


How reproducible:
Install and start the Icecast server.

Steps to Reproduce:
1. yum install icecast
2. systemctl start icecast
3. journalctl -u icecast | grep "Cannot open mime types file"

Actual results:
WARN fserve/fserve_recheck_mime_types Cannot open mime types file /etc/mime.types


Expected results:
Icecast should be able to load the mime type file located at /etc/mime.types and send the correct content-type along with images and other files served via the Icecast web server.


Additional info:
To fix the issue, the icecast package should depend on the mailcap package which provides the /etc/mime.types file.

Comment 1 Fedora Update System 2018-01-28 13:07:10 UTC
icecast-2.4.3-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d5e299aa69

Comment 2 Fedora Update System 2018-01-28 13:07:30 UTC
icecast-2.4.3-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-c61d94595e

Comment 3 Fedora Update System 2018-01-28 13:07:42 UTC
icecast-2.4.3-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-31f91ea939

Comment 4 Fedora Update System 2018-01-28 13:07:53 UTC
icecast-2.4.3-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-5c5b702be4

Comment 5 Fedora Update System 2018-01-28 22:10:11 UTC
icecast-2.4.3-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-c61d94595e

Comment 6 Fedora Update System 2018-01-28 22:10:27 UTC
icecast-2.4.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-5c5b702be4

Comment 7 Fedora Update System 2018-01-28 22:35:16 UTC
icecast-2.4.3-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-31f91ea939

Comment 8 Fedora Update System 2018-01-28 23:05:46 UTC
icecast-2.4.3-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d5e299aa69

Comment 9 Fedora Update System 2018-02-05 14:38:55 UTC
icecast-2.4.3-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-02-05 16:13:28 UTC
icecast-2.4.3-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-02-13 08:38:04 UTC
icecast-2.4.3-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-02-13 08:40:23 UTC
icecast-2.4.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.